#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	DBD
%define		pnam	XBase
%include	/usr/lib/rpm/macros.perl
Summary:	XBase - reading and writing the DBF files from Perl
Summary(pl.UTF-8):	XBase - czytanie i zapisywanie plików DBF z poziomu Perla
Name:		perl-DBD-XBase
Version:	1.08
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	46c96ad148c7b52025e7699e68771caa
URL:		http://search.cpan.org/dist/DBD-XBase/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DBI
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module can read and write XBase database files, known as dbf in
dBase and FoxPro world. It also reads memo fields from the dbt and fpt
files, if needed. An alpha code of reading index support for ndx, ntx,
mdx, idx and cdx is available for testing - see the DBD::Index(3) man
page. Module XBase provides simple native interface to XBase files.
For DBI compliant database access, see the DBD::XBase and DBI modules
and their man pages.

%description -l pl.UTF-8
Ten moduł może czytać i zapisywać pliki baz danych XBase, znane jako
dbf w świecie dBase i FoxPro. Może także czytać w razie potrzeby pola
memo w plików dbt i fpt. Kod w fazie alpha czytający indeksy ndx, ntx,
mdx, idx i cdx jest dostępny do testowania - więcej w DBD::Index(3).
Moduł XBase udostępnia prosty natywny interfejs do plików XBase.
Więcej o zgodnym z DBI dostępie do baz danych można dowiedzieć się z
modułów i stron manuala DBD::XBase i DBI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# get rid of pod documentation
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/XBase/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README ToDo
%attr(755,root,root) %{_bindir}/*dump
%{perl_vendorlib}/DBD/XBase.pm
%{perl_vendorlib}/XBase.pm
%{perl_vendorlib}/XBase
%{_mandir}/man[13]/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DBD-XBase.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 3b14475
- up to 1.08

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 93a284f
- use generic url

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4093f98
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e8eba0f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0c1d121
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 1cbe615
- formatting

* Tue Nov 02 2004 Adam Gołębiowski <adamg@pld-linux.org> 4fc652c
- get rid of pod documentation
- release 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> e08a335
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 60c8d12
- cosmetics: unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 49116d3
- license fixes and unification

* Thu Dec 25 2003 migo <migo@pld-linux.org> c916953
- up to 0.241, new bcond style
- license cosmetics

* Mon Oct 20 2003 Jakub Bogusz <qboosh@pld-linux.org> d31fdfb
- updated to 0.240

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 04f4f53
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 3ef58dd
- mass commit: cosmetics (removed trailing white spaces)

* Thu Jul 31 2003 Jakub Bogusz <qboosh@pld-linux.org> 35cc3a5
- up to 0.234

* Tue Jun 10 2003 Jakub Bogusz <qboosh@pld-linux.org> 5f232af
- update to 0.232, added indexdump (merged from RA-branch); release 2

* Wed May 28 2003 Michal Moskal <michal@moskal.me> ae56406
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 8d6d440
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 99bdbe5
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 6167601
- should be ready for perl-5.8.0; release++

